javax.persistence.metamodel

## Interface Attribute<X,Y>

- Type Parameters:
    `X` - The represented type that contains the attribute
    `Y` - The type of the represented attribute
  All Known Subinterfaces:
    CollectionAttribute<X,E>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

      public interface Attribute<X,Y>

  Represents an attribute of a Java type.
  Since:
    Java Persistence 2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Attribute.PersistentAttributeType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedType<X>` | `getDeclaringType()` Return the managed type representing the type in which the attribute was declared.
    `Member` | `getJavaMember()` Return the `java.lang.reflect.Member` for the represented attribute.
    `Class<Y>` | `getJavaType()` Return the Java type of the represented attribute.
    `String` | `getName()` Return the name of the attribute.
    `Attribute.PersistentAttributeType` | `getPersistentAttributeType()` Return the persistent attribute type for the attribute.
    `boolean` | `isAssociation()` Is the attribute an association.
    `boolean` | `isCollection()` Is the attribute collection-valued (represents a Collection, Set, List, or Map).

- - ### Method Detail

    - #### getName

          String getName()

      Return the name of the attribute.
      Returns:
        name

    - #### getPersistentAttributeType

          Attribute.PersistentAttributeType getPersistentAttributeType()

      Return the persistent attribute type for the attribute.
      Returns:
        persistent attribute type

    - #### getDeclaringType

          ManagedType<X> getDeclaringType()

      Return the managed type representing the type in which the attribute was declared.
      Returns:
        declaring type

    - #### getJavaType

          Class<Y> getJavaType()

      Return the Java type of the represented attribute.
      Returns:
        Java type

    - #### getJavaMember

          Member getJavaMember()

      Return the `java.lang.reflect.Member` for the represented attribute.
      Returns:
        corresponding `java.lang.reflect.Member`

    - #### isAssociation

          boolean isAssociation()

      Is the attribute an association.
      Returns:
        boolean indicating whether the attribute corresponds to an association

    - #### isCollection

          boolean isCollection()

      Is the attribute collection-valued (represents a Collection, Set, List, or Map).
      Returns:
        boolean indicating whether the attribute is collection-valued

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.